# AmoebaBondForce Class Reference

This class implements an interaction between pairs of particles that varies with the distance between them. More...

Inheritance diagram for AmoebaBondForce:

List of all members.

## Public Member Functions
def | getNumBonds
| getNumBonds(AmoebaBondForce self) -> int
def | setAmoebaGlobalBondCubic
| setAmoebaGlobalBondCubic(AmoebaBondForce self, double cubicK)
def | getAmoebaGlobalBondCubic
| getAmoebaGlobalBondCubic(AmoebaBondForce self) -> double
def | setAmoebaGlobalBondQuartic
| setAmoebaGlobalBondQuartic(AmoebaBondForce self, double quarticK)
def | getAmoebaGlobalBondQuartic
| getAmoebaGlobalBondQuartic(AmoebaBondForce self) -> double
def | addBond
| addBond(AmoebaBondForce self, int particle1, int particle2, double length, double quadraticK) -> int
def | getBondParameters
| getBondParameters(AmoebaBondForce self, int index)
def | setBondParameters
| setBondParameters(AmoebaBondForce self, int index, int particle1, int particle2, double length, double quadraticK)
def | updateParametersInContext
| updateParametersInContext(AmoebaBondForce self, Context context)
def | __init__
| __init__(OpenMM.AmoebaBondForce self) -> AmoebaBondForce __init__(OpenMM.AmoebaBondForce self, AmoebaBondForce other) -> AmoebaBondForce
def | __del__
| __del__(OpenMM.AmoebaBondForce self)
## Public Attributes
| this

## Detailed Description

This class implements an interaction between pairs of particles that varies with the distance between them.

The interaction is defined by a 4th order polynomial. Only the quadratic term is set per-bond. The coefficients of the higher order terms each have a single value that is set globally.

To use it, create an AmoebaBondForce object then call addBond() once for each bond. After a bond has been added, you can modify its force field parameters by calling setBondParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.AmoebaBondForce self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(OpenMM.AmoebaBondForce self) -> AmoebaBondForce __init__(OpenMM.AmoebaBondForce self, AmoebaBondForce other) -> AmoebaBondForce

Create an AmoebaBondForce.

def addBond | ( |  | self,
|  |  | args |
| ) |  |  |

addBond(AmoebaBondForce self, int particle1, int particle2, double length, double quadraticK) -> int

Add a bond term to the force field.

Parameters:

  | particle1 | the index of the first particle connected by the bond
  | particle2 | the index of the second particle connected by the bond
  | length | the equilibrium length of the bond, measured in nm
  | k | the quadratic force constant for the bond

def getAmoebaGlobalBondCubic | ( |  | self | ) |

getAmoebaGlobalBondCubic(AmoebaBondForce self) -> double

Get the global cubic term

def getAmoebaGlobalBondQuartic | ( |  | self | ) |

getAmoebaGlobalBondQuartic(AmoebaBondForce self) -> double

Get the global quartic term

def getBondParameters | ( |  | self,
|  |  | args |
| ) |  |  |

getBondParameters(AmoebaBondForce self, int index)

Get the force field parameters for a bond term.

Parameters:

  | index | the index of the bond for which to get parameters
  | particle1 | the index of the first particle connected by the bond
  | particle2 | the index of the second particle connected by the bond
  | length | the equilibrium length of the bond, measured in nm
  | quadratic | k the quadratic force constant for the bond

def getNumBonds | ( |  | self | ) |

getNumBonds(AmoebaBondForce self) -> int

Get the number of bond stretch terms in the potential function

def setAmoebaGlobalBondCubic | ( |  | self,
|  |  | args |
| ) |  |  |

setAmoebaGlobalBondCubic(AmoebaBondForce self, double cubicK)

Set the global cubic term

Parameters:

  | cubicK | the cubic force constant for the bond

def setAmoebaGlobalBondQuartic | ( |  | self,
|  |  | args |
| ) |  |  |

setAmoebaGlobalBondQuartic(AmoebaBondForce self, double quarticK)

Set the global quartic term

Parameters:

  | quarticK | the quartic force constant for the bond

def setBondParameters | ( |  | self,
|  |  | args |
| ) |  |  |

setBondParameters(AmoebaBondForce self, int index, int particle1, int particle2, double length, double quadraticK)

Set the force field parameters for a bond term.

Parameters:

  | index | the index of the bond for which to set parameters
  | particle1 | the index of the first particle connected by the bond
  | particle2 | the index of the second particle connected by the bond
  | length | the equilibrium length of the bond, measured in nm
  | k | the quadratic force constant for the bond

def updateParametersInContext | ( |  | self,
|  |  | args |
| ) |  |  |

updateParametersInContext(AmoebaBondForce self, Context context)

Update the per-bond parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setBondParameters() to modify this object's parameters, then call updateParametersInState() to copy them over to the Context.

The only information this method updates is the values of per-bond parameters. The set of particles involved in a bond cannot be changed, nor can new bonds be added.

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py